Bug 200119

Summary: lang/swi-pl package phase fails on armv6
Product: Ports & Packages Reporter: mikael.urankar
Component: Individual Port(s)Assignee: Johan van Selst <johans>
Status: Closed FIXED    
Severity: Affects Only Me CC: freebsd-arm
Priority: --- Flags: bugzilla: maintainer-feedback? (johans)
Version: Latest   
Hardware: arm   
OS: Any   
URL: http://chips.ysv.freebsd.org/data/11armv6-default/2015-05-09_16h52m01s/logs/errors/swi-pl-6.6.6.log
Attachments:
Description Flags
arm fix none

Description mikael.urankar 2015-05-11 09:11:47 UTC
Created attachment 156644 [details]
arm fix

Hi,

error:
===>  Building package for swi-pl-6.6.6
pkg-static: Unable to access file /wrkdirs/usr/ports/lang/swi-pl/work/stage/usr/local/lib/swipl-6.6.6/boot64.prc: No such file or directory

The attached patch fixes the problem.

build log:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/swi-pl-6.6.6.log

Thanks.
Comment 1 Johan van Selst freebsd_committer 2015-05-14 12:08:48 UTC
Committed, thanks
Comment 2 commit-hook freebsd_committer 2015-05-14 12:09:38 UTC
A commit references this bug:

Author: johans
Date: Thu May 14 12:08:39 UTC 2015
New revision: 386329
URL: https://svnweb.freebsd.org/changeset/ports/386329

Log:
  Fix build on armv6

  PR:		200119
  Submitted by:	mikael.urankar@gmail.com

Changes:
  head/lang/swi-pl/Makefile